#
# IMPORTANT NOTE
#
# This chart inherits from our common library chart. You can check the default values/options here:
# https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml
#

image:
  # -- image repository
  repository: monica
  # -- image tag
  # @default -- chart.appVersion
  tag:
  # -- image pull policy
  pullPolicy: IfNotPresent

# -- environment variables. See [monica documentation](https://raw.githubusercontent.com/monicahq/monica/master/.env.example) for more details.
# @default -- See below
env:
  # -- Set the container timezone
  TZ: UTC
  # -- Use `local` if you want to install Monica as a development version. Use `production` otherwise.
  APP_ENV: production
  # APP_KEY -- The encryption key. This is the most important part of the application.
  # Keep this secure otherwise, everyone will be able to access your application.
  # Must be 32 characters long exactly.
  # Use `php artisan key:generate` or `echo -n 'base64:'; openssl rand -base64 32` to generate a random key.
  # -- The URL of your application.
  APP_URL: https://crm.k8s-at-home.com
  # DB_HOST -- Database hostname
  # DB_DATABASE -- Database to connect to
  # DB_USERNAME -- Database username
  # DB_PASSWORD -- Database password

# -- Configures service settings for the chart.
# @default -- See values.yaml
service:
  main:
    ports:
      http:
        port: 80

ingress:
  # -- Enable and configure ingress settings for the chart under this key.
  # @default -- See values.yaml
  main:
    enabled: false

# -- Configure persistence settings for the chart under this key.
# @default -- See values.yaml
persistence:
  config:
    enabled: false
    mountPath: /var/www/html/storage

# -- Enable and configure mariadb database subchart under this key.
#    For more options see [mariadb chart documentation](https://github.com/bitnami/charts/tree/master/bitnami/mariadb)
# @default -- See values.yaml
mariadb:
  enabled: false
  architecture: standalone
  auth:
    database: monica
    username: monica
    password: monicapass
    rootPassword: monicarootpass
  primary:
    persistence:
      enabled: false
      # storageClass: ""
